--- buildbot-0.7.4/buildbot/status/mail.py	2006-08-23 09:11:16.000000000 +0200
+++ /usr/lib/python2.3/site-packages/buildbot/status/mail.py	2007-04-01 00:26:08.000000000 +0200
@@ -72,14 +72,14 @@
 
     def __init__(self, fromaddr, mode="all", categories=None, builders=None,
                  addLogs=False, relayhost="localhost",
-                 subject="buildbot %(result)s in %(builder)s",
+                 subject="buildbot %(result)s in %(projectName)s on %(builder)s",
                  lookup=None, extraRecipients=[],
                  sendToInterestedUsers=True):
         """
@@ -226,11 +226,12 @@
     def buildMessage(self, name, build, results):
         text = ""
         if self.mode == "all":
-            text += "The Buildbot has finished a build of %s.\n" % name
+            text += "The Buildbot has finished a build"
         elif self.mode == "failing":
-            text += "The Buildbot has detected a failed build of %s.\n" % name
+            text += "The Buildbot has detected a failed build"
         else:
-            text += "The Buildbot has detected a new failure of %s.\n" % name
+            text += "The Buildbot has detected a new failure"
+        text += " of %s on %s.\n" % (name, self.parent.projectName)
         buildurl = self.status.getURLForThing(build)
         if buildurl:
             text += "Full details are available at:\n %s\n" % buildurl
@@ -313,6 +314,7 @@
 
         m['Date'] = formatdate(localtime=True)
         m['Subject'] = self.subject % { 'result': res,
+                                        'projectName': self.parent.projectName,
                                         'builder': name,
                                         }
         m['From'] = self.fromaddr
